"""
Module to calculate RTT
:author: gurnoorsingh (20221024)
"""

import time
import requests
import numpy as np
 
def RTT(url):
    times = []
    num_iterations = 10

    for _ in range(num_iterations):
        t1 = time.time()
        _ = requests.get(url)
        t2 = time.time()
        times.append((t2 - t1))
 
    return int(np.mean(times) * 1e9)
 
def main():
    # url address
    url = "http://oregong-algorand-test-1.algorand-testnet.network:4161"
    print(RTT(url))

if __name__ == '__main__':
    main()